Index: stable/HeuristicLab.Services.OKB.DataAccess/3.3/OKB.dbml
===================================================================
--- stable/HeuristicLab.Services.OKB.DataAccess/3.3/OKB.dbml	(revision 15260)
+++ stable/HeuristicLab.Services.OKB.DataAccess/3.3/OKB.dbml	(revision 15261)
@@ -1,4 +1,4 @@
 ﻿<?xml version="1.0" encoding="utf-8"?><Database Name="HeuristicLab.OKB" EntityNamespace="HeuristicLab.Services.OKB.DataAccess" ContextNamespace="HeuristicLab.Services.OKB.DataAccess" Class="OKBDataContext" xmlns="http://schemas.microsoft.com/linqtosql/dbml/2007">
-  <Connection Mode="AppSettings" ConnectionString="Data Source=.\SQLEXPRESS;Initial Catalog=HeuristicLab.OKB;Integrated Security=True" SettingsObjectName="HeuristicLab.Services.OKB.DataAccess.Properties.Settings" SettingsPropertyName="OKBConnectionString" Provider="System.Data.SqlClient" />
+  <Connection Mode="AppSettings" ConnectionString="Data Source=.\SQLEXPRESS;Integrated Security=SSPI;Initial Catalog=HeuristicLab.OKB" SettingsObjectName="HeuristicLab.Services.OKB.DataAccess.Properties.Settings" SettingsPropertyName="OKBConnectionString" Provider="System.Data.SqlClient" />
   <Table Name="dbo.AlgorithmClass" Member="AlgorithmClasses">
     <Type Name="AlgorithmClass">
Index: stable/HeuristicLab.Services.OKB/3.3/HeuristicLab.Services.OKB-3.3.csproj
===================================================================
--- stable/HeuristicLab.Services.OKB/3.3/HeuristicLab.Services.OKB-3.3.csproj	(revision 15260)
+++ stable/HeuristicLab.Services.OKB/3.3/HeuristicLab.Services.OKB-3.3.csproj	(revision 15261)
@@ -309,5 +309,5 @@
     <None Include="HeuristicLab.snk" />
     <None Include="Properties\AssemblyInfo.cs.frame" />
-    <None Include="web.config" />
+    <None Include="Web.config" />
   </ItemGroup>
   <ItemGroup>
Index: stable/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/clients/clients.cshtml
===================================================================
--- stable/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/clients/clients.cshtml	(revision 15260)
+++ stable/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/clients/clients.cshtml	(revision 15261)
@@ -33,18 +33,18 @@
                 </div>
                 <div class="panel-body">
-                    <table class="table table-hover table-condensed">
+                    <table class="table table-hover table-condensed" ts-wrapper>
                         <thead>
                         <tr>
                             <th>#</th>
-                            <th>Client Name</th>
-                            <th>Group Name</th>
-                            <th>Cores</th>
-                            <th>Cpu Utilization</th>
-                            <th>Memory</th>
-                            <th>State</th>
+                            <th ts-criteria="Name">Client Name</th>
+                            <th ts-criteria="GroupName">Group Name</th>
+                            <th ts-criteria="UsedCores">Cores</th>
+                            <th ts-criteria="CpuUtilization">Cpu Utilization</th>
+                            <th ts-criteria="UsedMemory">Memory</th>
+                            <th ts-criteria="State">State</th>
                             <th></th>
                         </tr>
                         </thead>
-                        <tr ng-repeat="client in clientPage.Clients">
+                        <tr ng-repeat="client in clientPage.Clients" ts-repeat>
                             <td>{{($index + 1)+((curClientsPage-1)*(clientsPageSize))}}</td>
                             <td>{{client.Name}}</td>
@@ -81,18 +81,18 @@
                 </div>
                 <div class="panel-body">
-                    <table class="table table-hover table-condensed">
+                    <table class="table table-hover table-condensed" ts-wrapper>
                         <thead>
                             <tr>
                                 <th>#</th>
-                                <th>Client Name</th>
-                                <th>Group Name</th>
-                                <th>Cores</th>
-                                <th>Cpu Utilization</th>
-                                <th>Memory</th>
-                                <th>State</th>
+                                <th ts-criteria="Name">Client Name</th>
+                                <th ts-criteria="GroupName">Group Name</th>
+                                <th ts-criteria="UsedCores">Cores</th>
+                                <th ts-criteria="CpuUtilization">Cpu Utilization</th>
+                                <th ts-criteria="UsedMemory">Memory</th>
+                                <th ts-criteria="State">State</th>
                                 <th></th>
                             </tr>
                         </thead>
-                        <tr ng-repeat="client in expiredClientPage.Clients">
+                        <tr ng-repeat="client in expiredClientPage.Clients" ts-repeat>
                             <td>{{($index + 1)+((curExpiredClientsPage-1)*(expiredClientsPageSize))}}</td>
                             <td>{{client.Name}}</td>
Index: stable/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/exceptions/exceptions.cshtml
===================================================================
--- stable/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/exceptions/exceptions.cshtml	(revision 15260)
+++ stable/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/exceptions/exceptions.cshtml	(revision 15261)
@@ -30,17 +30,17 @@
                 </div>
                 <div class="panel-body">
-                    <table class="table table-hover table-condensed">
+                    <table class="table table-hover table-condensed" ts-wrapper>
                         <thead>
                         <tr>
                             <th>#</th>
-                            <th>Job</th>
-                            <th>Task</th>
-                            <th>Username</th>
-                            <th>Client</th>
-                            <th>Date</th>
+                            <th ts-criteria="JobName">Job</th>
+                            <th ts-criteria="TaskId">Task</th>
+                            <th ts-criteria="UserName">Username</th>
+                            <th ts-criteria="ClientName">Client</th>
+                            <th ts-criteria="Date">Date</th>
                             <th></th>
                         </tr>
                         </thead>
-                        <tr ng-repeat="exception in exceptionPage.Exceptions">
+                        <tr ng-repeat="exception in exceptionPage.Exceptions" ts-repeat>
                             <td>{{($index + 1)+((curExceptionsPage-1)*(exceptionsPageSize))}}</td>
                             <td><a ng-href="#/statistics/jobs/{{exception.JobId}}">{{exception.JobName}}</a></td>
Index: stable/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/groups/details/groupDetails.cshtml
===================================================================
--- stable/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/groups/details/groupDetails.cshtml	(revision 15260)
+++ stable/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/groups/details/groupDetails.cshtml	(revision 15261)
@@ -173,17 +173,17 @@
                 </div>
                 <div class="panel-body">
-                    <table class="table table-hover table-condensed">
+                    <table class="table table-hover table-condensed" ts-wrapper>
                         <thead>
                             <tr>
                                 <th>#</th>
-                                <th>Client Name</th>
-                                <th>Cores</th>
-                                <th>Cpu Utilization</th>
-                                <th>Memory</th>
-                                <th>State</th>
+                                <th ts-criteria="Name">Client Name</th>
+                                <th ts-criteria="UsedCores">Cores</th>
+                                <th ts-criteria="CpuUtilization">Cpu Utilization</th>
+                                <th ts-criteria="UsedMemory">Memory</th>
+                                <th ts-criteria="State">State</th>
                                 <th></th>
                             </tr>
                         </thead>
-                        <tr ng-repeat="client in clientPage.Clients">
+                        <tr ng-repeat="client in clientPage.Clients" ts-repeat>
                             <td>{{($index + 1)+((curClientsPage-1)*(clientsPageSize))}}</td>
                             <td>{{client.Name}}</td>
Index: stable/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/groups/groups.cshtml
===================================================================
--- stable/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/groups/groups.cshtml	(revision 15260)
+++ stable/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/groups/groups.cshtml	(revision 15261)
@@ -33,17 +33,17 @@
                 </div>
                 <div class="panel-body">
-                    <table class="table table-hover table-condensed">
+                    <table class="table table-hover table-condensed" ts-wrapper>
                         <thead>
                         <tr>
                             <th>#</th>
-                            <th>Group Name</th>
-                            <th>Cores</th>
-                            <th>Cpu Utilization</th>
-                            <th>Memory</th>
-                            <th>Clients</th>
+                            <th ts-criteria="Name">Group Name</th>
+                            <th ts-criteria="UsedCores">Cores</th>
+                            <th ts-criteria="CpuUtilization">Cpu Utilization</th>
+                            <th ts-criteria="UsedMemory">Memory</th>
+                            <th ts-criteria="OnlineClients">Clients</th>
                             <th></th>
                         </tr>
                         </thead>
-                        <tr ng-repeat="group in groupPage.Groups">
+                        <tr ng-repeat="group in groupPage.Groups" ts-repeat>
                             <td>{{($index + 1)+((curGroupsPage-1)*(groupsPageSize))}}</td>
                             <td>{{group.Name}}</td>
Index: stable/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/jobs/jobs.cshtml
===================================================================
--- stable/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/jobs/jobs.cshtml	(revision 15260)
+++ stable/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/jobs/jobs.cshtml	(revision 15261)
@@ -33,19 +33,19 @@
                 </div>
                 <div class="panel-body">
-                    <table class="table table-hover table-condensed">
+                    <table class="table table-hover table-condensed" ts-wrapper>
                         <thead>
                         <tr>
                             <th>#</th>
-                            <th>Job Name</th>
+                            <th ts-criteria="Name">Job Name</th>
                             @if (Request.IsAuthenticated && User.IsInRole(HiveRoles.Administrator)) {
-                                <th>Username</th>
+                                <th ts-criteria="UserName">Username</th>
                             }
-                            <th>Date Created</th>
-                            <th>Progress</th>
+                            <th ts-criteria="DateCreated">Date Created</th>
+                            <th ts-criteria="CompletedTasks / TotalTasks">Progress</th>
                             <th></th>
                         </tr>
                         </thead>
                         @if (Request.IsAuthenticated && User.IsInRole(HiveRoles.Administrator)) {
-                            <tr ng-repeat="job in allUsersJobs">
+                            <tr ng-repeat="job in allUsersJobs" ts-repeat>
                                 <td>{{$index + 1}}</td>
                                 <td>{{job.Name}}</td>
@@ -65,5 +65,5 @@
                             </tr>
                         } else {
-                            <tr ng-repeat="job in jobs">
+                            <tr ng-repeat="job in jobs" ts-repeat>
                                 <td>{{$index + 1}}</td>
                                 <td>{{job.Name}}</td>
@@ -93,16 +93,16 @@
                 </div>
                 <div class="panel-body">
-                    <table class="table table-hover table-condensed">
+                    <table class="table table-hover table-condensed" ts-wrapper>
                         <thead>
                         <tr>
                             <th>#</th>
-                            <th>Job Name</th>
-                            <th>Date Created</th>
-                            <th>Date Completed</th>
-                            <th>Tasks</th>
+                            <th ts-criteria="Name">Job Name</th>
+                            <th ts-criteria="DateCreated">Date Created</th>
+                            <th ts-criteria="DateCompleted">Date Completed</th>
+                            <th ts-criteria="TotalTasks|parseInt">Tasks</th>
                             <th></th>
                         </tr>
                         </thead>
-                        <tr ng-repeat="job in completedJobPage.Jobs">
+                        <tr ng-repeat="job in completedJobPage.Jobs" ts-repeat>
                             <td>{{($index + 1)+((completedJobCurPage-1)*(completedJobPageSize))}}</td>
                             <td>{{job.Name}}</td>
Index: stable/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/users/details/userDetails.cshtml
===================================================================
--- stable/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/users/details/userDetails.cshtml	(revision 15260)
+++ stable/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/users/details/userDetails.cshtml	(revision 15261)
@@ -68,15 +68,15 @@
                 </div>
                 <div class="panel-body">
-                    <table class="table table-hover table-condensed">
+                    <table class="table table-hover table-condensed" ts-wrapper>
                         <thead>
                             <tr>
                                 <th>#</th>
-                                <th>Job Name</th>
-                                <th>Date Created</th>
+                                <th ts-criteria="Name">Job Name</th>
+                                <th ts-criteria="DateCreated">Date Created</th>
                                 <th>Progress</th>
                                 <th></th>
                             </tr>
                         </thead>
-                        <tr ng-repeat="job in jobs">
+                        <tr ng-repeat="job in jobs" ts-repeat>
                             <td>{{$index + 1}}</td>
                             <td>{{job.Name}}</td>
@@ -105,16 +105,16 @@
                 </div>
                 <div class="panel-body">
-                    <table class="table table-hover table-condensed">
+                    <table class="table table-hover table-condensed" ts-wrapper>
                         <thead>
                             <tr>
                                 <th>#</th>
-                                <th>Job Name</th>
-                                <th>Date Created</th>
-                                <th>Date Completed</th>
-                                <th>Tasks</th>
+                                <th ts-criteria="Name">Job Name</th>
+                                <th ts-criteria="DateCreated">Date Created</th>
+                                <th ts-criteria="DateCompleted">Date Completed</th>
+                                <th ts-criteria="TotalTasks">Tasks</th>
                                 <th></th>
                             </tr>
                         </thead>
-                        <tr ng-repeat="job in completedJobPage.Jobs">
+                        <tr ng-repeat="job in completedJobPage.Jobs" ts-repeat>
                             <td>{{($index + 1)+((completedJobCurPage-1)*(completedJobPageSize))}}</td>
                             <td>{{job.Name}}</td>
Index: stable/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/users/users.cshtml
===================================================================
--- stable/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/users/users.cshtml	(revision 15260)
+++ stable/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/users/users.cshtml	(revision 15261)
@@ -30,13 +30,13 @@
                 </div>
                 <div class="panel-body">
-                    <table class="table table-hover table-condensed">
+                    <table class="table table-hover table-condensed" ts-wrapper>
                         <thead>
                             <tr>
                                 <th>#</th>
-                                <th>Username</th>
+                                <th ts-criteria="Name">Username</th>
                                 <th></th>
                             </tr>
                         </thead>
-                        <tr ng-repeat="user in users">
+                        <tr ng-repeat="user in users" ts-repeat>
                             <td>{{$index + 1}}</td>
                             <td>{{user.Name}}</td>
Index: stable/HeuristicLab.Services.WebApp.Statistics/3.3/statistics.js
===================================================================
--- stable/HeuristicLab.Services.WebApp.Statistics/3.3/statistics.js	(revision 15260)
+++ stable/HeuristicLab.Services.WebApp.Statistics/3.3/statistics.js	(revision 15261)
@@ -2,5 +2,5 @@
 (function () {
     var plugin = appStatisticsPlugin;
-    plugin.dependencies = ['ngResource', 'ui.knob', 'ui.bootstrap', 'ngFitText'];
+    plugin.dependencies = ['ngResource', 'ui.knob', 'ui.bootstrap', 'ngFitText', 'tableSort'];
     plugin.files = [
         'WebApp/statistics.css',
Index: stable/HeuristicLab.Services.WebApp.Status/3.3/WebApi/DataController.cs
===================================================================
--- stable/HeuristicLab.Services.WebApp.Status/3.3/WebApi/DataController.cs	(revision 15260)
+++ stable/HeuristicLab.Services.WebApp.Status/3.3/WebApi/DataController.cs	(revision 15261)
@@ -91,5 +91,5 @@
           AvgWaitingTime = count > 0 ? (long)calculatingTasks.OrderBy(x => x.StartTime).Take(count).Average(x => x.InitialWaitingTime) : 0,
           AvgCalculatingTime = lastCalculatingTimes != null ? lastCalculatingTimes.Avg : 0,
-          TotalCpuTime = factTasks.Sum(x => Convert.ToInt64(x.CalculatingTime)),
+          TotalCpuTime = factTasks.Sum(x => (long?)x.CalculatingTime) ?? 0,
           StandardDeviationCalculatingTime = (long)StandardDeviation(completedTasks.Select(x => (double)x.CalculatingTime)),
           BeginDate = factTasks.Where(x => x.StartTime.HasValue).OrderBy(x => x.StartTime).Select(x => x.StartTime).FirstOrDefault()
Index: stable/HeuristicLab.Services.WebApp/3.3/WebApp/helper.js
===================================================================
--- stable/HeuristicLab.Services.WebApp/3.3/WebApp/helper.js	(revision 15260)
+++ stable/HeuristicLab.Services.WebApp/3.3/WebApp/helper.js	(revision 15261)
@@ -31,5 +31,5 @@
     var month = (1 + date.getMonth()).zeropad(2);
     var year = date.getFullYear();
-    var hour = (date.getHours() - 2).zeropad(2);
+    var hour = (date.getHours() + date.getTimezoneOffset() / 60).zeropad(2);
     var minute = date.getMinutes().zeropad(2);
     var second = date.getSeconds().zeropad(2);
